AbstractParserFactory (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser
Interface AbstractParserFactory

All Superinterfaces:
  AbstractFeatureFactory

All Known Implementing Classes:
  CovingtonFactory, CovingtonNonProjFactory, CovingtonProjFactory, NivreArcEagerFactory, NivreArcStandardFactory, NivreFactory, NivrePlanarArcEagerFactory, PlanarFactory, StackFactory, StackProjFactory, StackSwapEagerFactory, StackSwapLazyFactory, TwoPlanarArcEagerFactory, TwoPlanarFactory

    public interface AbstractParserFactory

extends AbstractFeatureFactory

Author:
  Johan Hall

Method Summary
`OracleGuide` | `makeOracleGuide(GuideUserHistory history)` Creates an oracle guide
`ParserConfiguration` | `makeParserConfiguration()` Creates a parser configuration
`TransitionSystem` | `makeTransitionSystem()` Creates a transition system

Methods inherited from interface org.maltparser.core.feature.AbstractFeatureFactory
`makeFunction`

Method Detail

### makeParserConfiguration

    ParserConfiguration makeParserConfiguration()
                                                throws MaltChainedException

  Creates a parser configuration

  Returns:
    a parser configuration
  Throws:
    `MaltChainedException`

### makeTransitionSystem

    TransitionSystem makeTransitionSystem()
                                          throws MaltChainedException

  Creates a transition system

  Returns:
    a transition system
  Throws:
    `MaltChainedException`

### makeOracleGuide

    OracleGuide makeOracleGuide(GuideUserHistory history)
                                throws MaltChainedException

  Creates an oracle guide

  Parameters:
    `history` - a reference to the history
  Returns:
    an oracle guide
  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.